-- ============================================================
--   Database name:  GPE_SST                                   
--   DBMS name:      ORACLE Version 7.x float                  
--   Created on:     07/06/2016  17:22                         
-- ============================================================

-- ============================================================
--   Table: SST_PERFILPPP                                      
-- ============================================================
create table SST_PERFILPPP
(
    NRORG              NUMBER                 NOT NULL,
    NRPERFILPPP        NUMBER                 not null,
    NMPERFILPPP        VARCHAR2(100)          null    ,
    DSPERFILPPP        VARCHAR2(2000)         null    ,
    IDATIVO                  VARCHAR2(1)            default 'S' null    
        constraint CKC_IDATIVO_SST_PERFILPPP check (
            IDATIVO is null or (IDATIVO in ('S','N'))),
    NRORGINCLUSAO            NUMBER                 default 1 null    ,
    DTINCLUSAO               DATE                   not null    ,
    CDOPERINCLUSAO           VARCHAR2(12)           default '1' null    ,
    NRORGULTATU              NUMBER                 default 1 null    ,
    DTULTATU                 DATE                   null    ,
    CDOPERULTATU             VARCHAR2(12)           default '1' null    ,		
    constraint PK_SST_PERFILPPP primary key (NRORG, NRPERFILPPP)
)
/

-- ============================================================
--   Table: SST_FATORRISCO                                     
-- ============================================================
create table SST_FATORRISCO
(
    NRORG              NUMBER                 NOT NULL,
    NRFATORRISCO       NUMBER                 not null,
    NMFATORRISCO       VARCHAR2(100)          not null,
    DSFATORRISCO       VARCHAR2(2000)         not null,
    IDFATORRISCO       VARCHAR2(1)            not null
        constraint CKC_881 check (IDFATORRISCO in ('F','Q','B','E','M')),
    DTINIVIGENCIA      DATE                   not null,
    DTFIMVIGENCIA      DATE                   null    ,
    DSINTENSIDADE      VARCHAR2(15)           default 'N/A' not null,
    DSTECNICA          VARCHAR2(40)           default 'N/A' not null,
    IDEPCEFICAZ        VARCHAR2(1)            default 'N' not null
        constraint CKC_886 check (IDEPCEFICAZ in ('N','S')),
    IDEPIEFICAZ        VARCHAR2(1)            default 'N' not null
        constraint CKC_887 check (IDEPIEFICAZ in ('N','S')),
    CDCAEPI            VARCHAR2(20)           null    ,
    IDATIVO                  VARCHAR2(1)            default 'S' null    
        constraint CKC_IDATIVO_SST_FATORRISCO check (
            IDATIVO is null or (IDATIVO in ('S','N'))),
    NRORGINCLUSAO            NUMBER                 default 1 null    ,
    DTINCLUSAO               DATE                   not null    ,
    CDOPERINCLUSAO           VARCHAR2(12)           default '1' null    ,
    NRORGULTATU              NUMBER                 default 1 null    ,
    DTULTATU                 DATE                   null    ,
    CDOPERULTATU             VARCHAR2(12)           default '1' null    ,			
    constraint PK_SST_FATORRISCO primary key (NRORG, NRFATORRISCO)
)
/

-- ============================================================
--   Table: SST_RELACVINCPPP                                   
-- ============================================================
create table SST_RELACVINCPPP
(
    NRORG              NUMBER                 NOT NULL,
    NRRELACVINCPPP     NUMBER                 not null,
    NRVINCULOM         NUMBER                 not null,
    NRPERFILPPP        NUMBER                 not null,
    DTINIVIGENCIA      DATE                   not null,
    DTFIMVIGENCIA      DATE                   null    ,
    IDATIVO                  VARCHAR2(1)            default 'S' null    
        constraint CKC_IDATIVO_SST_RELACVINCPPP check (
            IDATIVO is null or (IDATIVO in ('S','N'))),
    NRORGINCLUSAO            NUMBER                 default 1 null    ,
    DTINCLUSAO               DATE                   not null    ,
    CDOPERINCLUSAO           VARCHAR2(12)           default '1' null    ,
    NRORGULTATU              NUMBER                 default 1 null    ,
    DTULTATU                 DATE                   null    ,
    CDOPERULTATU             VARCHAR2(12)           default '1' null    ,				
    constraint PK_SST_RELACVINCPPP primary key (NRORG, NRRELACVINCPPP)
)
/

-- ============================================================
--   Index: SST00100_FK                                        
-- ============================================================
create index SST00100_FK on SST_RELACVINCPPP (NRORG asc, NRVINCULOM asc)
/

-- ============================================================
--   Index: SST00101_FK                                        
-- ============================================================
create index SST00101_FK on SST_RELACVINCPPP (NRORG asc, NRPERFILPPP asc)
/

-- ============================================================
--   Table: SST_RELACOCUPAPPP                                  
-- ============================================================
create table SST_RELACOCUPAPPP
(
    NRORG              NUMBER                 NOT NULL,
    NRRELACOCUPAPPP    NUMBER                 not null,
    NROCUPACAOM        NUMBER                 not null,
    NRPERFILPPP        NUMBER                 not null,
    DTINIVIGENCIA      DATE                   not null,
    DTFIMVIGENCIA      DATE                   null    ,
    IDATIVO                  VARCHAR2(1)            default 'S' null    
        constraint CKC_IDATIVO_SST_RELACOCUPAPPP check (
            IDATIVO is null or (IDATIVO in ('S','N'))),
    NRORGINCLUSAO            NUMBER                 default 1 null    ,
    DTINCLUSAO               DATE                   not null    ,
    CDOPERINCLUSAO           VARCHAR2(12)           default '1' null    ,
    NRORGULTATU              NUMBER                 default 1 null    ,
    DTULTATU                 DATE                   null    ,
    CDOPERULTATU             VARCHAR2(12)           default '1' null    ,			
    constraint PK_SST_RELACOCUPAPPP primary key (NRORG, NRRELACOCUPAPPP)
)
/

-- ============================================================
--   Index: SST00102_FK                                        
-- ============================================================
create index SST00102_FK on SST_RELACOCUPAPPP (NRORG asc, NROCUPACAOM asc)
/

-- ============================================================
--   Index: SST00103_FK                                        
-- ============================================================
create index SST00103_FK on SST_RELACOCUPAPPP (NRPERFILPPP asc)
/

-- ============================================================
--   Table: SST_RELACESTRUTPPP                                 
-- ============================================================
create table SST_RELACESTRUTPPP
(
    NRORG              NUMBER                 not null,
    NRRELACESTRUTPPP   NUMBER                 not null,
    NRESTRUTURAM       NUMBER                 not null,
    NRPERFILPPP        NUMBER                 not null,
    DTINIVIGENCIA      DATE                   not null,
    DTFIMVIGENCIA      DATE                   null    ,
    IDATIVO                  VARCHAR2(1)            default 'S' null    
        constraint CKC_IDATIVO_SST_RELACESTRUTPPP check (
            IDATIVO is null or (IDATIVO in ('S','N'))),
    NRORGINCLUSAO            NUMBER                 default 1 null    ,
    DTINCLUSAO               DATE                   not null    ,
    CDOPERINCLUSAO           VARCHAR2(12)           default '1' null    ,
    NRORGULTATU              NUMBER                 default 1 null    ,
    DTULTATU                 DATE                   null    ,
    CDOPERULTATU             VARCHAR2(12)           default '1' null    ,				
    constraint PK_SST_RELACESTRUTPPP primary key (NRORG, NRRELACESTRUTPPP)
)
/

-- ============================================================
--   Index: SST00104_FK                                        
-- ============================================================
create index SST00104_FK on SST_RELACESTRUTPPP (NRORG asc, NRESTRUTURAM asc)
/

-- ============================================================
--   Index: SST00105_FK                                        
-- ============================================================
create index SST00105_FK on SST_RELACESTRUTPPP (NRORG asc, NRPERFILPPP asc)
/

-- ============================================================
--   Table: SST_RELVINCRISCO                                   
-- ============================================================
create table SST_RELVINCRISCO
(
    NRORG              NUMBER                 not null,
    NRRELVINCFATRISCO  NUMBER                 not null,
    NRFATORRISCO       NUMBER                 not null,
    NRVINCULOM         NUMBER                 not null,
    DTINIVIGENCIA      DATE                   not null,
    DTFIMVIGENCIA      DATE                   null    ,
    IDATIVO                  VARCHAR2(1)            default 'S' null    
        constraint CKC_IDATIVO_SST_RELVINCRISCO check (
            IDATIVO is null or (IDATIVO in ('S','N'))),
    NRORGINCLUSAO            NUMBER                 default 1 null    ,
    DTINCLUSAO               DATE                   not null    ,
    CDOPERINCLUSAO           VARCHAR2(12)           default '1' null    ,
    NRORGULTATU              NUMBER                 default 1 null    ,
    DTULTATU                 DATE                   null    ,
    CDOPERULTATU             VARCHAR2(12)           default '1' null    ,						
    constraint PK_SST_RELVINCRISCO primary key (NRORG, NRRELVINCFATRISCO)
)
/

-- ============================================================
--   Index: SST00106_FK                                        
-- ============================================================
create index SST00106_FK on SST_RELVINCRISCO (NRORG asc, NRFATORRISCO asc)
/

-- ============================================================
--   Index: SST00109_FK                                        
-- ============================================================
create index SST00109_FK on SST_RELVINCRISCO (NRORG asc, NRVINCULOM asc)
/

-- ============================================================
--   Table: SST_RELESTRUTRISCO                                 
-- ============================================================
create table SST_RELESTRUTRISCO
(
    NRORG              NUMBER                 not null,
    NRRELESTRUTRISCO   NUMBER                 not null,
    NRFATORRISCO       NUMBER                 not null,
    NRESTRUTURAM       NUMBER                 not null,
    DTINIVIGENCIA      DATE                   not null,
    DTFIMVIGENCIA      DATE                   null    ,
    IDATIVO                  VARCHAR2(1)            default 'S' null    
        constraint CKC_IDATIVO_SST_RELESTRUTRISCO check (
            IDATIVO is null or (IDATIVO in ('S','N'))),
    NRORGINCLUSAO            NUMBER                 default 1 null    ,
    DTINCLUSAO               DATE                   not null    ,
    CDOPERINCLUSAO           VARCHAR2(12)           default '1' null    ,
    NRORGULTATU              NUMBER                 default 1 null    ,
    DTULTATU                 DATE                   null    ,
    CDOPERULTATU             VARCHAR2(12)           default '1' null    ,							
    constraint PK_SST_RELESTRUTRISCO primary key (NRORG, NRRELESTRUTRISCO)
)
/

-- ============================================================
--   Index: SST00107_FK                                 
-- ============================================================
create index SST00107_FK on SST_RELESTRUTRISCO (NRORG asc, NRFATORRISCO asc)
/

-- ============================================================
--   Index: SST00111_FK                                        
-- ============================================================
create index SST00111_FK on SST_RELESTRUTRISCO (NRORG asc, NRESTRUTURAM asc)
/

-- ============================================================
--   Table: SST_RELOCUPARISCO                                  
-- ============================================================
create table SST_RELOCUPARISCO
(
    NRORG              NUMBER                 not null,
    NRRELOCUPARISCO    NUMBER                 not null,
    NRFATORRISCO       NUMBER                 not null,
    NROCUPACAOM        NUMBER                 not null,
    DTINIVIGENCIA      DATE                   not null,
    DTFIMVIGENCIA      DATE                   null    ,
    IDATIVO                  VARCHAR2(1)            default 'S' null    
        constraint CKC_IDATIVO_SST_RELOCUPARISCO check (
            IDATIVO is null or (IDATIVO in ('S','N'))),
    NRORGINCLUSAO            NUMBER                 default 1 null    ,
    DTINCLUSAO               DATE                   not null    ,
    CDOPERINCLUSAO           VARCHAR2(12)           default '1' null    ,
    NRORGULTATU              NUMBER                 default 1 null    ,
    DTULTATU                 DATE                   null    ,
    CDOPERULTATU             VARCHAR2(12)           default '1' null    ,								
    constraint PK_SST_RELOCUPARISCO primary key (NRORG, NRRELOCUPARISCO)
)
/

-- ============================================================
--   Index: SST00108_FK                                 
-- ============================================================
create index SST00108_FK on SST_RELOCUPARISCO (NRORG asc, NRFATORRISCO asc)
/

-- ============================================================
--   Index: SST00110_FK                                        
-- ============================================================
create index SST00110_FK on SST_RELOCUPARISCO (NRORG asc, NROCUPACAOM asc)
/

alter table SST_RELACVINCPPP
    add constraint FKSST00100GPE_VINC foreign key  (NRORG, NRVINCULOM)
       references GPE_VINCULOM (NRORG, NRVINCULOM)
/

alter table SST_RELACVINCPPP
    add constraint FKSST00101SST_PERF foreign key  (NRORG, NRPERFILPPP)
       references SST_PERFILPPP (NRORG, NRPERFILPPP)
/

alter table SST_RELACOCUPAPPP
    add constraint FKSST00102GPE_OCUP foreign key  (NRORG, NROCUPACAOM)
       references GPE_OCUPACAOM (NRORG, NROCUPACAOM)
/

alter table SST_RELACOCUPAPPP
    add constraint FKSST00103SST_PERF foreign key  (NRORG, NRPERFILPPP)
       references SST_PERFILPPP (NRORG, NRPERFILPPP)
/

alter table SST_RELACESTRUTPPP
    add constraint FKSST00104ESTRUTUR foreign key  (NRESTRUTURAM, NRORG)
       references ESTRUTURAM (NRESTRUTURAM, NRORG)
/

alter table SST_RELACESTRUTPPP
    add constraint FKSST00105SST_PERF foreign key  (NRORG, NRPERFILPPP)
       references SST_PERFILPPP (NRORG, NRPERFILPPP)
/

alter table SST_RELVINCRISCO
    add constraint FKSST00106SST_FATO foreign key  (NRORG, NRFATORRISCO)
       references SST_FATORRISCO (NRORG, NRFATORRISCO)
/

alter table SST_RELVINCRISCO
    add constraint FKSST00109GPE_VINC foreign key  (NRORG, NRVINCULOM)
       references GPE_VINCULOM (NRORG, NRVINCULOM)
/

alter table SST_RELESTRUTRISCO
    add constraint FKRELESTRUTRISCO_FATO foreign key  (NRORG, NRFATORRISCO)
       references SST_FATORRISCO (NRORG, NRFATORRISCO)
/

alter table SST_RELESTRUTRISCO
    add constraint FKSST00111ESTRUTUR foreign key  (NRESTRUTURAM, NRORG)
       references ESTRUTURAM (NRESTRUTURAM, NRORG)
/

alter table SST_RELOCUPARISCO
    add constraint FKRELOCUPARISCO_FATO foreign key  (NRORG, NRFATORRISCO)
       references SST_FATORRISCO (NRORG, NRFATORRISCO)
/

alter table SST_RELOCUPARISCO
    add constraint FKSST00110GPE_OCUP foreign key  (NRORG, NROCUPACAOM)
       references GPE_OCUPACAOM (NRORG, NROCUPACAOM)
/